#!/bin/sh

go_package() {
	local file pkg line script
	file=$1; shift
	pkg=$1; shift

	line="option go_package = \"$pkg\";"
	grep "^$line\$" $file > /dev/null && return

	script="/^package dnstap/|a|$line|.|w|q|"
	if grep "^option go_package" $file > /dev/null; then
		script="/^option go_package/d|1|${script}"
	fi

	echo "$script" | tr '|' '\n' | ed $file || exit
}

dir=$(dirname $0)
[ -n "$dir" ] && cd $dir

cd dnstap.pb

go_package dnstap.proto "ant.isi.edu/dnstapmq;dnstapmq"
#
# retry without --go_opt so we work on protoc 2.5 on centos7;
# --go_opt works on 3.19 on centos8 and F38+
#
protoc --go_out=../ --go_opt=paths=source_relative  dnstap.proto ||
        protoc --go_out=../ dnstap.proto
